#include "unimplemented.hpp"

namespace Middleware
{
	void Unimplemented::HandleRequest(State & state, ScheduleHelper & scheduleHelper)
	{
		state.finished = true;
		state.response.code = HttpResponse::Code::NOT_IMPLEMENTED;
	}

	Unimplemented::Unimplemented(Logger & logger)
		: BaseMiddleware(logger)
	{
	}
}